Package com.castlabs.android.player

## Enum TrackRendererPlugin.Type

- java.lang.Object
- - java.lang.Enum<TrackRendererPlugin.Type>
  - - com.castlabs.android.player.TrackRendererPlugin.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<TrackRendererPlugin.Type>`
  Enclosing interface:
    TrackRendererPlugin

      public static enum TrackRendererPlugin.Type
      extends Enum<TrackRendererPlugin.Type>

  The different content types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Audio` |
    `DtsAudio` |
    `Other` |
    `Subtitle` |
    `Video` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TrackRendererPlugin.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TrackRendererPlugin.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Video

          public static final TrackRendererPlugin.Type Video

    - #### Audio

          public static final TrackRendererPlugin.Type Audio

    - #### Subtitle

          public static final TrackRendererPlugin.Type Subtitle

    - #### DtsAudio

          public static final TrackRendererPlugin.Type DtsAudio

    - #### Other

          public static final TrackRendererPlugin.Type Other

  - ### Method Detail

    - #### values

          public static TrackRendererPlugin.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrackRendererPlugin.Type c : TrackRendererPlugin.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrackRendererPlugin.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null